=== debian/changelog ===
secure-delete (3.1-8) unstable; urgency=medium

  * adopted the package. Closes: 994645;
    thanks to Joao Eriberto Mota Filho, this package is in very good shape.
  * created a git branch named master, to manage contents formerly tracked
    in debian/master; this makes the work with gbp easier.
  * closing bug #377687 "Please put the secure-delete on the root fs" as
    nowadays, debian images come with the symlink /bin => /usr/bin
    Closes: #377687; this bug report was filled 14 years ago.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 03 Mar 2022 19:06:59 +0100

secure-delete (3.1-7) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #994645)
  * Migrations:
      - DebSrc to 3.0 (quilt).
      - DH level to new format. Consequently:
          ~ debian/compat: removed.
          ~ debian/control: changed from 'debhelper' to 'debhelper-compat' in
            Build-Depends field and bumped level to 13.
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
  * Converted direct changes in upstream source code to patches. The new
    patches are:
      - 010_changes-Makefile.patch
      - 020_fix-strip.patch
      - 030_rename-smem-sdmem.patch
      - 040_fix-srm-several-files.patch
      - 050_fix-spelling-manpages.patch (Closes: #720310)
      - 060_fix-spelling-sdmem-manpage.patch (Closes: #720310)
      - 070_new-fix-srm.patch
  * debian/control:
      - Added Homepage field.
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.1.
      - Created VCS fields.
      - Improved long description.
  * debian/man/srm.fr.1: French manpage. Thanks to intrigeri
    <intrigeri@debian.org>. (Closes: #557967)
  * debian/manpages: created to install the manpages.
  * debian/patches/:
      - 010_changes-Makefile.patch: changed to use the variables DESTDIR and
        PREFIX.
      - 080_use-GCC-flags.patch: created to improve the hardening via GCC.
      - 090_fix-variable.patch: created to use 'long unsigned int' instead
        of 'int'.
      - 100_fix-typo-sdmem.patch: created to fix a typo in final binary sdmem.
        (Closes: #805860)
  * debian/rules: added an override to fix a FTCBFS. Thanks to Helmut Grohne.
    (Closes: #877608)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide some CI tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Sep 2021 10:35:57 -0300

secure-delete (3.1-6) unstable; urgency=low

  * Enable hardening flags during build
  * Update packaging
  * Bump standards-version
  * Fix a few minus-vs-hyphen bugs in manpages
  * Fixed a few typos (closes: #486018, #653260)
  * Tone down description a little bit and include binary names
    (closes: #680336, #538151)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 05 Jul 2013 08:50:37 +0100

secure-delete (3.1-5) unstable; urgency=low

  * Rename smem to sdmem to avoid name clash with smem package
  * Bumped Standards-Version to 3.8.3 and related fixes

 -- Robert Lemmen <robertle@semistable.com>  Tue, 05 Jan 2010 14:55:00 +0000

secure-delete (3.1-4) unstable; urgency=low

  * Fixed licensing info (closes: #428102)
  * Fixed handling of nostrip build option (closes: #438009)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 28 Aug 2007 13:21:17 +0200

secure-delete (3.1-3) unstable; urgency=low

  * Moved from experimental
  * Added more documentation

 -- Robert Lemmen <robertle@semistable.com>  Thu,  5 Oct 2006 22:04:17 +0200

secure-delete (3.1-2) experimental; urgency=low

  * Upload to experimental instead of unstable.
  * Added description on how to test security to README.Debian.

 -- Robert Lemmen <robertle@semistable.com>  Mon,  2 May 2005 11:55:11 +0200

secure-delete (3.1-1) unstable; urgency=low

  * Initial Release.

 -- Robert Lemmen <robertle@semistable.com>  Thu, 29 Jan 2004 18:09:26 +0100
