=== debian/control ===
Source: secure-delete
Section: utils
Priority: optional
Maintainer: georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Homepage: https://www.thc.org
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/secure-delete
Vcs-Git: https://salsa.debian.org/debian/secure-delete.git

Package: secure-delete
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools to wipe files, free disk space, swap and memory
 Gutmann method based tools for securely wiping data from files, free disk
 space, swap and memory. This is a set of tools useful for security and
 anti-forensics actions.
 .
 This package provides srm, sfill, sswap and sdmem commands.
