=== debian/watch ===
version=4
https://github.com/hackerschoice/THC-Archive/tree/master/Tools .*/Tools/secure(?:-|_)delete-(\d\S+)\.tar\.(?:bz2|gz|xz)
